<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE qml SYSTEM "/wt/query/qml/qml.dtd">
<qml>
    <statement>
        <query>
            <select>
                <column alias="EPM Document" heading="FT Generic Number"
                    propertyName="number" type="java.lang.String">master&gt;number</column>
                <column alias="EPM Document 2"
                    heading="FT Member Number" propertyName="number" type="java.lang.String">master&gt;number</column>
                <column alias="EPM Document 2" heading="FT Member Name"
                    propertyName="name" type="java.lang.String">master&gt;name</column>
                <object alias="EPM Document 2" heading="FT Generic" propertyName="generic">
                    <property name="generic"/>
                </object>
                <column alias="EPM Document 2"
                    heading="FT Member Version" type="java.lang.String">versionInfo.identifier.versionId</column>
                <column alias="EPM Document 2" heading="FT Member State"
                    propertyName="lifeCycleState" type="wt.lifecycle.State">state.state</column>
                <column alias="EPM Document 2"
                    heading="FT Member Status"
                    propertyName="checkoutInfo.state" type="wt.vc.wip.WorkInProgressState">checkoutInfo.state</column>
                <column alias="Context" heading="Context Name"
                    propertyName="name" type="java.lang.String">containerInfo.name</column>
                <object alias="EPM Document 2" heading="Folder Path" propertyName="folderPath">
                    <property name="folderPath"/>
                </object>
            </select>
            <from>
                <table alias="EPM Document">wt.epm.EPMDocument</table>
                <table alias="EPMSep Family Table">wt.epm.familytable.EPMSepFamilyTable</table>
                <table alias="EPM Document 2">wt.epm.EPMDocument</table>
                <table alias="Context">wt.inf.container.WTContainer</table>
            </from>
            <where>
                <compositeCondition type="and">
                    <condition>
                        <operand>
                            <column alias="EPM Document"
                                heading="Family Table Status"
                                propertyName="familyTableStatus" type="int">familyTableStatus</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <constant heading="2" isMacro="false"
                                type="java.lang.Object" xml:space="preserve">2</constant>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="EPM Document"
                                heading="Latest Iteration"
                                propertyName="latestIteration" type="boolean">iterationInfo.latest</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <constant heading="1" isMacro="false"
                                type="java.lang.Object" xml:space="preserve">1</constant>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="EPM Document"
                                heading="versionInfo.identifier.versionSortId" type="java.lang.String">versionInfo.identifier.versionSortId</column>
                        </operand>
                        <inOperator type="in"/>
                        <inOperand>
                            <subQuery>
                                <subQuerySelect>
                                    <function heading="Maximum"
                                    name="MAX" type="java.lang.String">
                                    <column alias="EPM Document 1"
                                    heading="versionInfo.identifier.versionSortId" type="java.lang.String">versionInfo.identifier.versionSortId</column>
                                    </function>
                                </subQuerySelect>
                                <from>
                                    <table alias="EPM Document 1">wt.epm.EPMDocument</table>
                                </from>
                                <where>
                                    <compositeCondition type="and">
                                    <condition>
                                    <operand>
                                    <column
                                    alias="EPM Document 1"
                                    heading="Master Reference.Object Id.Id"
                                    propertyName="masterReference.objectId.id" type="long">masterReference.key.id</column>
                                    </operand>
                                    <operator type="equal"/>
                                    <operand>
                                    <column
                                    alias="EPM Document"
                                    heading="Master Reference.Object Id.Id"
                                    propertyName="masterReference.objectId.id" type="long">masterReference.key.id</column>
                                    </operand>
                                    </condition>
                                    </compositeCondition>
                                </where>
                            </subQuery>
                        </inOperand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="EPM Document 2"
                                heading="Latest Iteration"
                                propertyName="latestIteration" type="boolean">iterationInfo.latest</column>
                        </operand>
                        <operator type="equal"/>
                        <operand>
                            <constant heading="1" isMacro="false"
                                type="java.lang.Object" xml:space="preserve">1</constant>
                        </operand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="EPM Document 2"
                                heading="versionInfo.identifier.versionSortId" type="java.lang.String">versionInfo.identifier.versionSortId</column>
                        </operand>
                        <inOperator type="in"/>
                        <inOperand>
                            <subQuery>
                                <subQuerySelect>
                                    <function heading="Maximum"
                                    name="MAX" type="java.lang.String">
                                    <column alias="EPM Document 3"
                                    heading="versionInfo.identifier.versionSortId" type="java.lang.String">versionInfo.identifier.versionSortId</column>
                                    </function>
                                </subQuerySelect>
                                <from>
                                    <table alias="EPM Document 3">wt.epm.EPMDocument</table>
                                </from>
                                <where>
                                    <compositeCondition type="and">
                                    <condition>
                                    <operand>
                                    <column
                                    alias="EPM Document 3"
                                    heading="Master Reference.Object Id.Id"
                                    propertyName="masterReference.objectId.id" type="long">masterReference.key.id</column>
                                    </operand>
                                    <operator type="equal"/>
                                    <operand>
                                    <column
                                    alias="EPM Document 2"
                                    heading="Master Reference.Object Id.Id"
                                    propertyName="masterReference.objectId.id" type="long">masterReference.key.id</column>
                                    </operand>
                                    </condition>
                                    </compositeCondition>
                                </where>
                            </subQuery>
                        </inOperand>
                    </condition>
                    <condition>
                        <operand>
                            <column alias="EPM Document 2"
                                heading="Status.Status"
                                propertyName="checkoutInfo.state" type="wt.vc.wip.WorkInProgressState">checkoutInfo.state</column>
                        </operand>
                        <operator type="notEqual"/>
                        <operand>
                            <constant heading="wrk" isMacro="false"
                                type="wt.vc.wip.WorkInProgressState" xml:space="preserve">wrk</constant>
                        </operand>
                    </condition>
                </compositeCondition>
            </where>
            <orderBy>
                <orderByItem>
                    <columnTarget heading="FT Generic Number"/>
                </orderByItem>
                <orderByItem>
                    <columnTarget heading="FT Member Number"/>
                </orderByItem>
            </orderBy>
            <linkJoin>
                <join name="wt.epm.structure.EPMContainedIn">
                    <aliasTarget alias="EPM Document"/>
                    <aliasTarget alias="EPMSep Family Table"/>
                </join>
                <join name="wt.epm.structure.EPMContainedIn">
                    <aliasTarget alias="EPM Document 2"/>
                    <aliasTarget alias="EPMSep Family Table"/>
                </join>
            </linkJoin>
            <referenceJoin>
                <join name="containerReference">
                    <aliasTarget alias="EPM Document"/>
                    <aliasTarget alias="Context"/>
                </join>
            </referenceJoin>
        </query>
    </statement>
</qml>
